Subject: Re: [TR] Ian Priestley

From: Allan Reich <[email-masked]>
Date: Tue, 21 May 2013 14:26:48 -0700

Yes, I ordered a J-Type overdrive unit for my 1975 TR6. He shipped it 
quickly, and it was installed by a club member who has dealt with him 
extensively. We had a question about a piece transferred from the old 
shaft to the new one, and he was back to us via email within an hour. 
All worked. He also provided a shifter from a Triumph 2000, with the 
switch in the top. It has been working well for over a year.
Allan Reich
Vancouver, Canada
1975 TR6 - CF30255U (+O)

** [email-masked] **

Archive: http://www.team.net/archive